<?php

/**
 * Description of autoload
 *
 * @author Artem Yuriev art3mk4@gmail.com Feb 13, 2019 2:43:36 PM
 */
function adsgoogleprocess_autoload($className) {
    $className = ltrim($className, '\\');
    $fileName = '';

    if ($lastNsPos = strrpos($className, '\\')) {
        $namespace = substr($className, 0, $lastNsPos);
        $className = substr($className, $lastNsPos + 1);

        $fileName = str_replace('\\', DIRECTORY_SEPARATOR, $namespace) . DIRECTORY_SEPARATOR;
    }

    $fileName .= $className . '.php';
    $file = ADSGOOGLECATALOG_PATH . '/' . $fileName;
    if (file_exists($file)) {
        require($file);
    }
}

spl_autoload_register('adsgoogleprocess_autoload');